Update a Service Category
PUT
/businesses/{businessId}/service-categories/{serviceCategoryId}
const url = 'https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/service-categories/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/service-categories/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example" }'Update a Service Category
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”businessId
required
string format: uuid
Business ID
serviceCategoryId
required
string format: uuid
Service Category ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
string
Example generated
{ "name": "example"}Responses
Section titled “Responses”The updated Service Category
Media typeapplication/json
object
data
ServiceCategory
object
id
Unique identifier across the platform.
string format: uuid
createdAt
Time when the resource was created (ISO 8601 format).
string format: date-time
updatedAt
Time when the resource was created (ISO 8601 format).
string format: date-time
name
required
string
bookingURL
The URL for patients to book this service category.
string
Example generated
{ "data": { "name": "example", "bookingURL": "example" }}The service category ID is malformed, or the name is missing.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 400, "type": "BadRequestError", "title": "Missing required field name" }}The API key is missing or invalid, or the Business cannot be accessed with it.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 403, "type": "UnauthorizedError", "title": "Invalid API token" }}The service category does not exist.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 404, "type": "NotFoundError", "title": "Service Category not found" }}